<template>
  <div id="Form-user">
    <span v-show="response.succesful" id="warning"
      >Verifica tu correo por favor</span
    >
    <AddUser @add-new-user-details="saveNewUser" />
  </div>
</template>

<script>
import AddUser from './AddUser.vue'

import API from '@/API.js'
export default {
  name: 'AddUserPage',
  components: {
    AddUser
  },
  props: {},
  data() {
    return {
      warning: false,
      response: []
    }
  },

  methods: {
    async saveNewUser(user) {
      this.response = await API.saveNewUser(user)
      if (this.response.succesful === 'true') {
        this.warning = false
        this.goToLogin()
      } else {
        this.warning = true
      }
    },

    goToLogin() {
      this.$router.push('/home')
    }
  }
}
</script>

<style scoped>
#user-details {
  display: flex;
  justify-content: space-around;
  flex-direction: column;
}
#warning {
  color: red;
}
</style>
